export type ServiceState =
	| 'CONNECTING'
	| 'CONNECTED'
	| 'DISCONNECTED'
	| 'FAILED';

export function delay(duration: number): Promise<void> {
	return new Promise((resolve) => setTimeout(resolve, duration));
}
